/* $Id: ruby_xml_sax_parser.h,v 1.2 2002/10/22 07:56:53 sean Exp $ */

/* Please see the LICENSE file for copyright and distribution information */

#ifndef __RUBY_XML_SAX_PARSER__
#define __RUBY_XML_SAX_PARSER__

extern VALUE cXMLSaxParser;

typedef struct ruby_xml_sax_parser {
  xmlParserCtxtPtr xpc;
  xmlSAXHandlerPtr xsh;
  VALUE filename;
  VALUE str;
} ruby_xml_sax_parser;

void ruby_xml_sax_parser_free(ruby_xml_sax_parser *rxsp);
void ruby_init_xml_sax_parser(void);
VALUE ruby_xml_sax_parser_new(VALUE class);

#endif
